PropertyAccessorFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class PropertyAccessorFactory

    java.lang.Object
      org.hibernate.property.PropertyAccessorFactory

    public final class PropertyAccessorFactory

extends Object

A factory for building/retrieving PropertyAccessor instances.

Method Summary
`static PropertyAccessor` | `getDynamicMapPropertyAccessor()`
`static PropertyAccessor` | `getPropertyAccessor(AttributeBinding property, EntityMode mode)` Retrieves a PropertyAccessor instance based on the given property definition and entity mode.
`static PropertyAccessor` | `getPropertyAccessor(Class optionalClass, String type)`
`static PropertyAccessor` | `getPropertyAccessor(Property property, EntityMode mode)` Retrieves a PropertyAccessor instance based on the given property definition and entity mode.
`static PropertyAccessor` | `getPropertyAccessor(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPropertyAccessor

    public static PropertyAccessor getPropertyAccessor(Property property,
                                                       EntityMode mode)
                                                throws MappingException

  Retrieves a PropertyAccessor instance based on the given property definition and entity mode.

  Parameters:
    `property` - The property for which to retrieve an accessor.
    `mode` - The mode for the resulting entity.
  Returns:
    An appropriate accessor.
  Throws:
    `MappingException`

### getPropertyAccessor

    public static PropertyAccessor getPropertyAccessor(AttributeBinding property,
                                                       EntityMode mode)
                                                throws MappingException

  Retrieves a PropertyAccessor instance based on the given property definition and entity mode.

  Parameters:
    `property` - The property for which to retrieve an accessor.
    `mode` - The mode for the resulting entity.
  Returns:
    An appropriate accessor.
  Throws:
    `MappingException`

### getDynamicMapPropertyAccessor

    public static PropertyAccessor getDynamicMapPropertyAccessor()
                                                          throws MappingException

  Throws:
    `MappingException`

### getPropertyAccessor

    public static PropertyAccessor getPropertyAccessor(Class optionalClass,
                                                       String type)
                                                throws MappingException

  Throws:
    `MappingException`

### getPropertyAccessor

    public static PropertyAccessor getPropertyAccessor(String type)
                                                throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.